DescriptiveFrameworkImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model.impl

## Class DescriptiveFrameworkImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.DescriptiveFrameworkImpl

- All Implemented Interfaces:
    Serializable, Cloneable, MediaEntity, MetadataObject, DescriptiveFramework, InterchangeObject
  Direct Known Subclasses:
    SimpleDescriptionImpl

      @MediaClass(uuid1=218170369,
                  uuid2=0,
                  uuid3=0,
                  uuid4={6,14,43,52,2,6,1,1},
                  definedName="DescriptiveFramework",
                  description="The DescriptiveFramework class specifies descriptive metadata.",
                  symbol="DescriptiveFramework",
                  isConcrete=false)
      public class DescriptiveFrameworkImpl
      extends InterchangeObjectImpl
      implements DescriptiveFramework, Serializable, Cloneable

  Implements a framework for descriptive metadata. Sub-interfaces of this interface are taken from vocabularies of descriptive metadata, such as DMS-1, known as descriptive metadata schemes.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescriptiveFrameworkImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescriptiveFramework` | `clone()` All descriptive frameworks must be cloneable to allow them to be used as strong references within `descriptive markers`.
    `AUID` | `getLinkedDescriptiveFrameworkPluginID()` Return the identifier of the descriptive marker that strongly references this descriptive framework instance.
    `void` | `setLinkedDescriptiveFrameworkPluginID(AUID linkedDescriptiveFrameworkPluginID)` Sets the identifier of the descriptive marker that strongly references this descriptive framework instance.

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, appendXMLChildren, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getComment, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Constructor Detail

    - #### DescriptiveFrameworkImpl

          public DescriptiveFrameworkImpl()

  - ### Method Detail

    - #### getLinkedDescriptiveFrameworkPluginID

          @MediaProperty(uuid1=85985025,
                         uuid2=3072,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,12},
                         definedName="LinkedDescriptiveFrameworkPluginID",
                         aliases="LinkedDescriptiveFrameworkPlug-InID",
                         typeName="AUID",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=0,
                         symbol="LinkedDescriptiveFrameworkPluginID",
                         description="Descriptive marker that strongly references this descriptive framework instance.")
          public AUID getLinkedDescriptiveFrameworkPluginID()
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        throws PropertyNotPresentException

      Description copied from interface: `DescriptiveFramework`

      Return the identifier of the descriptive marker that strongly references this descriptive framework instance. This is an optional property.

      Specified by:
        `getLinkedDescriptiveFrameworkPluginID` in interface `DescriptiveFramework`
      Returns:
        Identifier of the descriptive marker that strongly references this descriptive framework instance.
      Throws:
        `PropertyNotPresentException` - The optional linked descriptive framework plugin property is not present for this descriptive framework.
      See Also:
        `DescriptiveMarker.getDescriptiveMetadataPluginID()`

    - #### setLinkedDescriptiveFrameworkPluginID

          @MediaPropertySetter(value="LinkedDescriptiveFrameworkPluginID")
          public void setLinkedDescriptiveFrameworkPluginID(AUID linkedDescriptiveFrameworkPluginID)

      Description copied from interface: `DescriptiveFramework`

      Sets the identifier of the descriptive marker that strongly references this descriptive framework instance. Set this optional property to `null` to omit it.

      Specified by:
        `setLinkedDescriptiveFrameworkPluginID` in interface `DescriptiveFramework`
      Parameters:
        `linkedDescriptiveFrameworkPluginID` - Identifier of the Descriptive marker that strongly references this descriptive framework instance.

    - #### clone

          public DescriptiveFramework clone()

      All descriptive frameworks must be cloneable to allow them to be used as strong references within `descriptive markers`.

      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `DescriptiveFramework`
      Specified by:
        `clone` in interface `InterchangeObject`
      Overrides:
        `clone` in class `InterchangeObjectImpl`
      Returns:
        Cloned copy of this interchange object.
      See Also:
        `Object.clone()`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.